%define name xpired
%define version 1.22
%define release %mkrel 12

Summary: Action puzzle game
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}-linux_source.tar.bz2
URL: http://xpired.temnet.org/
License: GPL
Group: Games/Arcade
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libSDL_gfx-devel >= 2.0.8
BuildRequires: libSDL_mixer-devel 
BuildRequires: libSDL_image-devel 

%description

X-Pired is an action puzzle game. The goal of the game in each level
is to reach the exit square, avoiding exploding barrels and other
deadly stuff.

%prep
%setup -q -n src

%build
%make PREFIX=%_prefix SHARE_PREFIX=%_gamesdatadir/xpired

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=%buildroot/%_prefix SHARE_PREFIX=%buildroot/%_gamesdatadir/xpired

mkdir -p %buildroot/%_gamesbindir
mv %buildroot/%_bindir/* %buildroot/%_gamesbindir

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%name
?package(%{name}):command="%{_gamesbindir}/%name" \
		  icon="arcade_section.png" \
		  needs="x11" \
		  section="More Applications/Games/Arcade" \
		  title="X-Pired" \
		  longtitle="Action-puzzle game" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=X-Pired
Comment=Action-puzzle game
Exec=%_gamesbindir/%{name}
Icon=arcade_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc *.txt README*
%_datadir/applications/mandriva*
%_gamesbindir/*
%_gamesdatadir/*
%_menudir/%name

%changelog
* Mon Jul 31 2006 Gtz Waschk <waschk@mandriva.org> 1.22-12mdv2007.0
- xdg menu
- Rebuild

* Wed Dec 28 2005 Götz Waschk <waschk@mandriva.org> 1.22-11mdk
- Rebuild
- use mkrel

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.22-10mdk
- rebuild for new SDL_gfx

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.22-9mdk
- rebuild for new SDL_gfx

* Sun Aug 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.22-8mdk
- fix menu

* Tue May 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.22-7mdk
- new SDL_gfx

* Fri Dec 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.22-6mdk
- new SDL_gfx

* Fri Nov  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.22-5mdk
- drop prefix tag
- new SDL_gfx

* Fri Jul 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.22-4mdk
- new SDL_gfx

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.22-2mdk
- rebuild

* Mon Aug  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.22-1mdk
- initial mdk package

